﻿#language: ru

@honest_sign

Функционал: 003. honest_sign. Палетирование на ТСД

Сценарий: 003.1. honest_sign. Создание пустого упак. листа

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.003. ЧестныйЗнак"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Константа НН'
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Упаковочный лист (создание) *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'
		
Сценарий: 003.2. honest_sign. Палетирование на ТСД

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Меню учетных точек'
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	* Заполнение настроек
		И в поле с именем 'Дата' я ввожу текст '01.05.2021'
		И я нажимаю кнопку выбора у поля с именем "Смена"
		Тогда открылось окно 'Смены'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Смена24'      |
		И я нажимаю на кнопку с именем 'Выбрать'
		Тогда открылось окно '[Администратор]: Меню учетных точек'
		И я нажимаю кнопку выбора у поля с именем "УчетнаяТочка"
		Тогда открылось окно 'Учетные точки'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Склад ИС МП'  |
		И я нажимаю на кнопку с именем 'Выбрать'
		Тогда открылось окно '[Администратор]: Меню учетных точек'
	И я нажимаю на кнопку 'Палетирование ИС МП'
	* Добавление палеты
		И Я сканирую "(00)100000000100000013"
		Тогда элемент формы с именем "ТекущаяНоменклатура" стал равен 'Молоко отборное'
		И элемент формы с именем "ТекущаяХарактеристика" стал равен 'Маркированное'
		И элемент формы с именем "ТекущаяСерияНомер" стал равен '000001'
		И элемент формы с именем "ТекущаяСерияДатаВыпуска" стал равен '01.05.2021 0:00:00'
		И элемент формы с именем "ТекущееКоличество" стал равен '10'
		И элемент формы с именем "ТекущееКоличествоОбщее" стал равен '10'
		И таблица "ТоварыДляЗаписи" стала равной:
			| 'Номенклатура'    | 'Штрихкод'               | 'Характеристика' | 'Серия'                        | 'Количество' |
			| 'Молоко отборное' | '(00)100000000100000013' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | '10,000'     |
	* Удаление товара	
		И я нажимаю на кнопку с именем 'СканированиеПросмотрСоставаТоваров'
		Когда я нажимаю на кнопку с именем 'УдалитьСтроку'
		Тогда в таблице "ТоварыДляЗаписи" количество строк "равно" 0
		И я нажимаю на кнопку с именем 'СоставТоваровНазад'
	* Сканирование товаров
		И Я сканирую "(00)100000000100000013"
		И Я сканирую "(01)09781782808082(17)210531(11)210501(21)5(10)000001"
		И Я сканирую "(01)09781782808084(21)5K<kg((93)dGVz"
		И таблица "ТоварыДляЗаписи" стала равной:
			| 'Номенклатура'    | 'Штрихкод'                                              | 'Характеристика' | 'Серия'                        | 'Количество' |
			| 'Молоко отборное' | '(00)100000000100000013'                                | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | '10,000'     |
			| 'Молоко отборное' | '(01)09781782808082(17)210531(11)210501(21)5(10)000001' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | '4,000'      |
			| 'Молоко отборное' | '(01)09781782808084(21)5K<kg('                          | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | '1,000'      |
	* Сканирование упак. листа
		И я нажимаю на кнопку с именем 'СканированиеУпаковочныйЛист'
		И Я сканирую "(00)100000000100000037"
		И я нажимаю на кнопку с именем 'СканированиеЗавершить'
		И я нажимаю на кнопку с именем 'КомандаОК'			
	Тогда открылось окно '[Администратор]: Меню учетных точек'
	И Я закрываю окно '[Администратор]: Меню учетных точек'	
			
Сценарий: 003.3. honest_sign. Проверка штрихкодов упаковок

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Штрихкоды упаковок и товаров'
	Тогда открылось окно 'Штрихкоды упаковок и товаров'
	* Проверка палеты
		И в таблице "Список" я перехожу к строке:
			| 'Значение штрихкода'     |
			| '(00)100000000100000037' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно '(00)100000000100000037 (Штрихкоды упаковок и товаров)'
		Тогда элемент формы с именем "УпаковочныйЛист" стал равен 'Паллета 0000003'
		И элемент формы с именем "ТипУпаковки" стал равен 'Мультитоварная упаковка'
		И элемент формы с именем "ТипШтрихкода" стал равен 'SSCC'
		И элемент формы с именем "ЗначениеШтрихкода" стал равен '(00)100000000100000037'
		И элемент формы с именем "Номенклатура" стал равен ''
		И элемент формы с именем "Характеристика" стал равен ''
		И элемент формы с именем "Упаковка" стал равен ''
		И элемент формы с именем "Серия" стал равен ''
		И элемент формы с именем "Количество" стал равен '0,000'
		И элемент формы с именем "СерийныйНомер" стал равен '0'
		И таблица "ВложенныеШтрихкоды" стала равной:
			| 'Штрихкод'                                              |
			| '(00)100000000100000013'                                |
			| '(01)09781782808082(17)210531(11)210501(21)5(10)000001' |
			| '(01)09781782808084(21)5K<kg('                          |
		И таблица "ВложенныеТовары" стала равной:
			| 'Количество' | 'Количество упаковок' | 'Номенклатура'    | 'Характеристика' | 'Серия'                        | 'Ед. изм.' | 'Упаковка'      |
			| '14,000'     | '4,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       | 'упак (4 упак)' |
			| '1,000'      | '1,000'               | 'Молоко отборное' | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'шт'       | ''              |		
		И Я закрываю окно '(00)100000000100000037 (Штрихкоды упаковок и товаров)'
		Тогда открылось окно 'Штрихкоды упаковок и товаров'	
	И Я закрываю окно 'Штрихкоды упаковок и товаров'

Сценарий: 003.4. honest_sign. Проверка упаковочного листа

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И в таблице "Список" я перехожу к строке:
		| 'Код'     | 'Организация'  | 'Склад упаковки' | 'Способ создания'       | 'Тип тары' |
		| '0000003' | 'Константа НН' | ''               | 'Терминал сбора данных' | 'Паллета'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Паллета *'
	Тогда элемент формы с именем "СпособСоздания" стал равен 'Терминал сбора данных'
	И элемент формы с именем "Организация" стал равен 'Константа НН'
	И элемент формы с именем "Код" стал равен '0000003'
	И элемент формы с именем "ТипТары" стал равен 'Паллета'
	И элемент формы с именем "ЦифраРасширенияSSCC" стал равен '1'
	И элемент формы с именем "НомерКоробаВПаллете" стал равен '0'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Упаковочный лист' | 'Номер упаковки серии' | 'Ед. изм.' | 'Характеристика' | 'Серия'                        | 'Упаковка'      | 'Количество упаковок' | 'Штрихкод упаковки'                                     |
		| '10,000'     | 'Молоко отборное' | ''                 | ''                     | 'шт'       | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'упак (4 упак)' | '3,000'               | '(00)100000000100000013'                                |
		| '4,000'      | 'Молоко отборное' | ''                 | ''                     | 'шт'       | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | 'упак (4 упак)' | '1,000'               | '(01)09781782808082(17)210531(11)210501(21)5(10)000001' |
		| '1,000'      | 'Молоко отборное' | ''                 | ''                     | 'шт'       | 'Маркированное'  | '000001 до 31.05.2021 0:00:00' | ''              | '1,000'               | '(01)09781782808084(21)5K<kg('                          |
	И элемент формы с именем "ВсегоМест" стал равен '5'
	И элемент формы с именем "СкладУпаковки" стал равен ''
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'
			